Google Cloud SDK 설치

이 페이지에는 Cloud SDK 설치를 선택하고 유지하기 위한 안내가 포함되어 있습니다.

시스템 요구사항

Cloud SDK는 Linux, macOS, Windows에서 실행됩니다. Cloud SDK에는 Python이 필요합니다. 지원되는 버전은 3.5~3.7 및 2.7.9 이상입니다. Python 인터프리터 구성에 대한 자세한 내용을 보려면 gcloud topic startup을 실행합니다. Cloud SDK와 함께 제공되는 일부 도구에는 추가 요구사항이 있습니다. 예를 들어 Google App Engine 개발용 자바 도구는 자바 1.7 이상이 필요합니다.

시작하기 전에

  1. Google 계정으로 로그인합니다.

    아직 계정이 없으면 새 계정을 등록하세요.

  2. Cloud Console의 프로젝트 선택기 페이지에서 Cloud 프로젝트를 선택하거나 만듭니다.

    프로젝트 선택기 페이지로 이동

  3. Google Cloud 프로젝트에 결제가 사용 설정되어 있는지 확인합니다. 프로젝트에 결제가 사용 설정되어 있는지 확인하는 방법을 알아보세요.

설치 옵션

필요에 따라 다음 방법 중 하나를 사용해서 Cloud SDK를 설치합니다.

  • 스크립트와 함께 Cloud SDK를 사용하거나 지속적 통합/배포를 수행하는 경우 특정 버전의 Cloud SDK의 비대화형 설치를 위해 버전이 지정된 보관 파일을 다운로드합니다.
  • Debian/Ubuntu를 실행하는 경우 apt-get을 사용하여 최신 출시 버전을 패키지 형식으로 가져옵니다.
  • Red Hat Enterprise Linux 7/CentOS 7을 실행하는 경우 yum을 사용하여 최신 출시 버전을 패키지 형식으로 가져옵니다.
  • Cloud SDK를 Docker 이미지로 실행해야 하는 경우 Cloud SDK 최신 출시 버전 또는 특정 버전용 Cloud SDK Docker 이미지를 사용합니다.
  • Windows 및 macOS 대화형 설치와 다른 모든 사용 사례의 경우, 대화형 설치 프로그램을 실행하여 Cloud SDK의 최신 출시 버전을 설치합니다.

제품 구성

위의 모든 설치 방법은 gcloud, gsutil, bq 명령줄 도구를 포함한 기본 Cloud SDK 구성요소를 설치합니다.

gcloud components install 명령어를 사용하거나 적절한 deb 또는 RPM 패키지를 설치하여 추가 구성요소를 설치할 수 있습니다.

설치 관리

위 방법 중 하나를 사용하여 Cloud SDK를 설치한 후 gcloud components 명령어 그룹에서 명령어를 사용하여 설치를 관리할 수 있습니다. 여기에는 설치된 구성요소 보기, 구성요소 추가 및 삭제, 새 버전의 Cloud SDK로 업그레이드(또는 특정 버전으로 다운그레이드)가 포함됩니다.

이전 버전의 Cloud SDK

이전 버전의 Cloud SDK로 되돌아가야 할 경우, 이 보관 파일에서 사용 가능한 모든 이전 출시 버전을 찾을 수 있습니다.